# Barry::Mode::RawChannel Class Reference

`#include <m_raw_channel.h>`

Inheritance diagram for Barry::Mode::RawChannel:

[legend]
Collaboration diagram for Barry::Mode::RawChannel:

[legend]

List of all members.

## Detailed Description

The main class for creating a raw channel session.

To use this class, use the following steps:

- Implement RawChannelDataCallback
  - Create a Controller object (see Controller class for more details)
  - Create this Mode::RawChannel object, passing in the Controller object during construction
  - Call Open() to open the channel and finish constructing.
  - Call GetData() to fetch data
  - Call SendData() to send data

Definition at line 74 of file m_raw_channel.h.

The documentation for this class was generated from the following files:

- m_raw_channel.h
- m_raw_channel.cc